# Version SVN: $Id: schema.yml 137 2014-07-16 18:40:20Z sven.poeche $
propel:
  _attributes:              { package: plugins.stDashboardPlugin.lib.model }

  dashboard_media:
    _attributes:            { phpName: DashboardMedia, allowPkInsert: true }
    dmid:                   { type: integer, size:  11, required: true, primaryKey: true, autoIncrement: true }
    uid:                    { type: integer, size:  11, required: true }
    created_date:           { type: varchar, size:  255 }
    count_view:             { type: integer, size:  11 }
    count_comment:          { type: integer, size:  11 }
    count_upload:           { type: integer, size:  11 }
    created_at:             { type: timestamp, required: true }
    updated_at:             { type: timestamp, required: true }
    
  dashboard_user:
    _attributes:            { phpName: DashboardUser, allowPkInsert: true }
    duid:                   { type: integer, size:  11, required: true, primaryKey: true, autoIncrement: true }
    uid:                    { type: integer, size:  11, required: true }
    created_date:           { type: varchar, size:  255 }
    count_login:            { type: integer, size:  11 }
    count_registration:     { type: integer, size:  11 }
    created_at:             { type: timestamp, required: true }
    updated_at:             { type: timestamp, required: true }